# Interface IAnalyticsFacetState

## Index

### Properties

- displayValue
- end
- endInclusive
- facetType
- field
- id
- start
- state
- title
- value
- valuePosition

## Properties

### Optional displayValue

displayValue: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :61

### Optional end

end: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :47

### Optional endInclusive

endInclusive: boolean

- Defined in ui/Analytics/IAnalyticsFacetState.ts :51

### Optional facetType

facetType: FacetType

- Defined in ui/Analytics/IAnalyticsFacetState.ts :65

### field

field: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :13

### id

id: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :19

### Optional start

start: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :39

### Optional state

state: FacetValueState

- Defined in ui/Analytics/IAnalyticsFacetState.ts :69

### title

title: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :25

### Optional value

value: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :31

### Optional valuePosition

valuePosition: number

- Defined in ui/Analytics/IAnalyticsFacetState.ts :55

### Hierarchy

- IAnalyticsFacetState